Subject: Re: [PATCH 2/2] Move sequencer to builtin

From: Thomas Rast <[email-masked]>
Date: Sun, 9 Jun 2013 21:25:06 +0200

Ramkumar Ramachandra <[email-masked]> writes:

> Jeff King wrote:
>> I actually think word choice and politeness is only a small part of it,
>> and one that I live without.  It is not just _how_ something is said,
>> but _what_ is said. And sometimes what is said does not lead in a
>> productive direction. I found Thomas's comment here:
>>
>>   http://article.gmane.org/gmane.comp.version-control.git/227053
>>
>> sums up the core of many of the conflicts I've seen on the list.
>
> This is all very good, Jeff.  Various people have expressed what's
> wrong with fc's "demeanour", "tone", and "style of discussion" in
> various different ways at various different points in time.  This goes
> on and on and on with no end in sight. WHAT do we do?
>
> I'll be frank: I'm a pragmatic person, and I want to see work.
> Despite all this mess, who has shown me the most number of patches
> with some direction?  Felipe.  Who gets the most number of patches
> into git.git, by far?  Felipe.  And who is wasting time theorizing
> about what's wrong with Felipe in various ways?  Everyone else.

At what cost?

The arguments arise to a large degree from attempting to review his
work.  Not doing so is not an option, see e.g.:

  http://article.gmane.org/gmane.comp.version-control.git/223279
  http://article.gmane.org/gmane.comp.version-control.git/225969
  http://article.gmane.org/gmane.comp.version-control.git/226125

And that's not even counting the part of the argument that arises purely
from deliberate flaunting of the project's guidelines.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch